Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.exp.parser
Class ExpressionParserTokenManager

    java.lang.Object
      org.apache.cayenne.exp.parser.ExpressionParserTokenManager

All Implemented Interfaces:
  ExpressionParserConstants

    public class ExpressionParserTokenManager

extends java.lang.Object
implements ExpressionParserConstants

Field Summary
`protected char` | `curChar`
`java.io.PrintStream` | `debugStream`
`protected org.apache.cayenne.exp.parser.JavaCharStream` | `input_stream`
`static int[]` | `jjnewLexState`
`static java.lang.String[]` | `jjstrLiteralImages`
`static java.lang.String[]` | `lexStateNames`

Fields inherited from interface org.apache.cayenne.exp.parser.ExpressionParserConstants
`DEC_DIGITS, DEC_FLT, DEFAULT, DIGIT, DOUBLE_QUOTED_STRING, EOF, ESC, EXPONENT, FLOAT_LITERAL, FLT_SUFF, IDENTIFIER, INT_LITERAL, LETTER, NULL, PROPERTY_PATH, SINGLE_QUOTED_STRING, STRING_ESC, tokenImage, WithinDoubleQuoteLiteral, WithinSingleQuoteLiteral`

Constructor Summary
`ExpressionParserTokenManager(org.apache.cayenne.exp.parser.JavaCharStream stream)`
`ExpressionParserTokenManager(org.apache.cayenne.exp.parser.JavaCharStream stream, int lexState)`

Method Summary
`org.apache.cayenne.exp.parser.Token` | `getNextToken()`
`protected org.apache.cayenne.exp.parser.Token` | `jjFillToken()`
`void` | `ReInit(org.apache.cayenne.exp.parser.JavaCharStream stream)`
`void` | `ReInit(org.apache.cayenne.exp.parser.JavaCharStream stream, int lexState)`
`void` | `setDebugStream(java.io.PrintStream ds)`
`void` | `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public java.io.PrintStream debugStream

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

### lexStateNames

    public static final java.lang.String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

### input_stream

    protected org.apache.cayenne.exp.parser.JavaCharStream input_stream

### curChar

    protected char curChar

Constructor Detail

### ExpressionParserTokenManager

    public ExpressionParserTokenManager(org.apache.cayenne.exp.parser.JavaCharStream stream)

### ExpressionParserTokenManager

    public ExpressionParserTokenManager(org.apache.cayenne.exp.parser.JavaCharStream stream,
                                        int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(java.io.PrintStream ds)

### ReInit

    public void ReInit(org.apache.cayenne.exp.parser.JavaCharStream stream)

### ReInit

    public void ReInit(org.apache.cayenne.exp.parser.JavaCharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### jjFillToken

    protected org.apache.cayenne.exp.parser.Token jjFillToken()

### getNextToken

    public org.apache.cayenne.exp.parser.Token getNextToken()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.